from pymongo import MongoClient

import numpy as np
import pandas as pd


def Table25105(df):
    """
    B25105 : Median Monthly Housing Costs (Dollars)
    B25105001 : Median monthly housing costs
    B25105universe : Occupied Housing Units With Monthly Housing Costs
    B25105yr : 2013
    """
    table_fields = np.array(['B25105001'])

    df['MedianMonthlyHousingCosts'] = df[table_fields]

    return df


