import pymongo as m

client = m.MongoClient()
db = client['dummydb']
collection = db['dummycollection']

# dummy dataset 
collection.insert({"geoid":"1","metroid":"2000","B15001A":10.0})
collection.insert({"geoid":"2","metroid":"2000","B15001A":11.7})
collection.insert({"geoid":"3","metroid":"2000","B15001A":12.1})
collection.insert({"geoid":"4","metroid":"2000","B15001A":15.0})


# modify something in-place 
# by adding more columns
collection.find_and_modify( query = {'geoid':'2'},
                            update = {'$set' : {"B15001B":45.0,"B15001C":32.1}}, 
                            upsert=True
                          )

# result?
for z in collection.find():
    print z

# clean up
client.drop_database('dummydb')

