from constants import LOG_FILE
import logging

"""
Lumberjack is the logger.
Get it?

to use this, 
just say "from Lumberjack import *"
and then use logging.info() to log stuff
"""

logging.basicConfig(level=logging.INFO,
                    format='%(asctime)s %(message)s',
                    datefmt='%m-%d-%Y %H:%M:%S',
                    filename=LOG_FILE,
                    filemode='w')
 
console = logging.StreamHandler()
console.setLevel(logging.INFO)
logging.getLogger('').addHandler(console)

logging.info('Hello darling! I am the Lumberjack logger.')



