import metro as mt

from timeit import default_timer as timer
import json
import urllib2

import numpy as np

import re
import os
import subprocess

from collections import OrderedDict
from pymongo import MongoClient

import metro as mt



# =============================================================
# ============= test geometry table ===========================
# =============================================================

def test_geometry_table():

    client = MongoClient()

    db = client['metros']
    meta = db['GeometryMeta']
    geom = db['Geometry']

    print "Testing Geometry access to Chicago"

    #ids = meta.find({'metroname':{'$exists':True})
    ##chicago = geom.find({'metroid':chicago_metroid})
    #for record in ids:
    #    print record

    #print "Done"


    print "Testing Geometry Meta"
    propsmeta = db['GeometryMeta']
    everything = propsmeta.find().sort('geoid',1)
    for this_thing in everything:
        print this_thing['metroname'],":",this_thing['geoid'],"(",this_thing['name'],")"


    print "Done"



# =============================================================
# ============= test properties table =========================
# =============================================================



def test_properties_table():

    client = MongoClient()

    db = client['metros']

    props     = db['Properties']

    print "Testing Properties access to Seattle"

    s_records = props.find({'metroid':mt.CBSACode('Seattle')[0]})

    for i,record in enumerate(s_records):
        if i < 3:
            print record
        else:
            break
    print "Done"


    #print "Testing Properties Meta"

    propsmeta = db['PropertiesMeta']
    everything = propsmeta.find({"code":{"$exists":False}})#.sort('code',1)
    for this_thing in everything:
        print this_thing

    #print "Done"



# =============================================================
# ============= driver routine ================================
# =============================================================


if __name__=="__main__":
    test_properties_table()
    test_geometry_table()


