from pymongo import MongoClient

import numpy as np
import pandas as pd


def Table19301(df):
    """
    B19301 : Per Capita Income in the Past 12 Months (In 2013 Inflation-adjusted Dollars)
    B19301001 : Per capita income in the past 12 months (in 2013 inflation-adjusted dollars)
    """
    table_fields = np.array(['B19301001'])

    df['PerCapitaIncome'] = df[table_fields]

    return df

